:host ::ng-deep {

    .product-placeholder {
        background: transparent;
        border: 2px dashed #e5e5e5;
        min-height: 36px;
        display: flex;
        border-radius: 6px;
        padding: 8px 10px;
        font-weight: 600;
        color: #555;
        align-items: center;
        margin-bottom: 0.75rem;
        transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
    }


    #diet-product-list-wrapper {
        max-height: 420px;
        gap: 8px;

        >h1 {
            font-size: 18px;
            margin-bottom: 0;
        }

        .search-type-wrapper {

            >.mat-mdc-radio-button {

                &+.mat-mdc-radio-button {
                    margin-left: 1rem;
                }


                .mdc-form-field > label {
                    margin: 0;
                    font-weight: 600;
                    color: #333;
                    font-size: 13px;
                }
            }
        }

        .product-list-wrapper {
            display: flex;
            flex-direction: column;
            overflow: auto;

            &:not(.empty-result-list):after {
                position: absolute;
                bottom: 0;
                left: 0;
                right: 0;
                background: red;
                background: linear-gradient(180deg, rgba(75,75,75,0) 0%, rgba(255,255,255,1) 71%);
                content: "";
                height: 50px;
                border-radius: 0 0 5px 5px;
            }

            &::-webkit-scrollbar {
                display: none;
            }

            > .empty-result {
                color: #999999;
                font-weight: 500;
                padding: 8px;
                display: flex;
                justify-content: center;
            }
        }
    }

}